Subject: Re: Request for merging "world-rebuild" branch

From: Andreas Enge <[email-masked]>
Date: Mon, 25 Aug 2025 15:25:42 +0200

Am Mon, Aug 25, 2025 at 11:50:52AM +0200 schrieb Andreas Enge:
> Over the last day it has ground to a halt; I see error message like this
> in the build coordinator:
> 2025-08-25 11:43:01 @ download-progress /gnu/store/55ay81kd2gdh5xjcwlzl9g1nmwih91al-tvm-0.20.dev0-1.d3a2ed6.drv https://data.guix.gnu.org/nar/55ay81kd2gdh5xjcwlzl9g1nmwih91al-tvm-0.20.dev0-1.d3a2ed6.drv 776 776
> …
> 2025-08-25 11:43:01       message: "derivation `/gnu/store/55ay81kd2gdh5xjcwlzl9g1nmwih91al-tvm-0.20.dev0-1.d3a2ed6.drv' has incorrect output `/gnu/store/x8mbs7k5ynwjd16aly14h49bphgv43qf-tvm-0.20.dev0-1.d3a2ed6', should be `/gnu/store/2z33z4qzxxyllm5a9i7acsha53a3p9n0-tvm-0.20.dev0-1.d3a2ed6'"
> for a number of packages.

These are frightening, but I realise that they cannot be related to the
branch: This comes from data and not data.qa. So it must be related to
building the master branch, which seems to work: I see recently being
updated packages that are built.

So the problem must be somewhere else...

Andreas